﻿Imports System.Data
Imports System.Data.Objects
Class MainWindow
    Dim ClientesViewSource As CollectionViewSource
    Dim CadastroEntities As wpf_EDM.CadastroEntities
    Private Function GetClientesQuery(ByVal CadastroEntities As wpf_EDM.CadastroEntities) As System.Data.Objects.ObjectQuery(Of wpf_EDM.Clientes)
        Dim ClientesQuery As ObjectQuery(Of wpf_EDM.Clientes) = CadastroEntities.Clientes
        Return ClientesQuery
    End Function

    Private Sub Window_Loaded(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
        ClientesViewSource = CType(Me.FindResource("ClientesViewSource"), CollectionViewSource)
        CadastroEntities = New wpf_EDM.CadastroEntities
        Dim ClientesQuery As ObjectQuery(Of wpf_EDM.Clientes) = Me.GetClientesQuery(CadastroEntities)
        ClientesViewSource.Source = ClientesQuery.Execute(MergeOption.AppendOnly)
    End Sub
    Private Sub btnRetornar_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnRetornar.Click
        If ClientesViewSource.View.CurrentPosition > 0 Then
            ClientesViewSource.View.MoveCurrentToPrevious()
        End If
    End Sub
    Private Sub btnAvancar_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnAvancar.Click
        If ClientesViewSource.View.CurrentPosition < CType(ClientesViewSource.View, CollectionView).Count - 1 Then
            ClientesViewSource.View.MoveCurrentToNext()
        End If
    End Sub
End Class
